<?

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
	$dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
	$dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}

?>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_email"><?=msg('admin_email')?><?=REQ?></label></td>
	<td>
		<input type="text" name="admin_email" id="fid-admin_email" value="<?=htmlspecialchars(sapp_get_param('admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_email') ? sapp_get_wrong('admin_email') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_login"><?=msg('admin_login')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="admin_login" id="fid-admin_login" value="<?=htmlspecialchars(sapp_get_param('admin_login'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_login') ? sapp_get_wrong('admin_login') : ''?></span>
	</td>
</tr>
<tr <?=sapp_is_wrong('admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_passwd"><?=msg('admin_passwd')?> <?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_passwd" id="fid-admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('admin_passwd') ? sapp_get_wrong('admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_confirm"><?=msg('admin_confirm')?> <?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_confirm" id="fid-admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('admin_confirm') ? sapp_get_wrong('admin_confirm') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('gallery_name') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-gallery_name"><?=msg('gallery_name')?></label></td>
	<td>
		<input type="text" name="gallery_name" id="fid-gallery_name" value="<?=htmlspecialchars(stripslashes(sapp_get_param('gallery_name')))?>">
		<span class="hint"><?=sapp_is_wrong('gallery_name') ? sapp_get_wrong('gallery_name') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('gallery_description') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-gallery_description"><?=msg('gallery_description')?></label></td>
	<td>
		<input type="text" name="gallery_description" id="fid-gallery_description" value="<?=htmlspecialchars(stripslashes(sapp_get_param('gallery_description')))?>">
		<span class="hint"><?=sapp_is_wrong('gallery_description') ? sapp_get_wrong('gallery_description') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('gallery_language') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-gallery_language"><?=msg('gallery_language')?></label></td>
	<td>
		<SELECT name="gallery_language"><?
			foreach (get_lang() AS $lang_key => $lang_name)
				echo '<OPTION value="' . $lang_key . '" ' . (sapp_get_param('gallery_language') == $lang_key ? 'SELECTED' : '') . '>' . $lang_name.'</OPTION>';?>
		</SELECT>

		<span class="hint"><?=sapp_is_wrong('gallery_language') ? sapp_get_wrong('gallery_language') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('gallery_theme') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-gallery_language"><?=msg('gallery_theme')?></label></td>
	<td>
		<SELECT name="gallery_theme"><?
			foreach (get_theme() AS $theme_key => $theme_name)
				echo '<OPTION value="' . $theme_key . '" ' . (sapp_get_param('gallery_theme') == $theme_key ? 'SELECTED' : '') . '>' . $theme_name.'</OPTION>';?>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('gallery_theme') ? sapp_get_wrong('gallery_theme') : ''?></span>
	</td>
</tr>

</fieldset>
