<?
sapp_include_once('common.php');

function form_handler()
{
	$valid = true;

	//Admin section	

	$gallery_name = sapp_get_submit_value('gallery_name');
	sapp_set_param('gallery_name', $gallery_name);

	$gallery_description = sapp_get_submit_value('gallery_description');
	sapp_set_param('gallery_description', $gallery_description);

	$gallery_theme = sapp_get_submit_value('gallery_theme');
	sapp_set_param('gallery_theme', $gallery_theme);

	$gallery_language = sapp_get_submit_value('gallery_language');
	sapp_set_param('gallery_language', $gallery_language);

	$admin_email= sapp_get_submit_value('admin_email');
	if (!check_email($admin_email)) {
		sapp_set_wrong('admin_email', msg('invalid_value'));
		$valid = false;
	}
	sapp_set_param('admin_email', $admin_email);

	$admin_login = sapp_get_submit_value('admin_login');
	if (!check_sys_login($admin_login)) {
		sapp_set_wrong('admin_login', msg('invalid_value'));
		$valid = false;
	}
	
	sapp_set_param('admin_login', $admin_login);

	//check admin password
	$admin_passwd = sapp_get_submit_value('admin_passwd');
	$admin_confirm = sapp_get_submit_value('admin_confirm');
	if ('' == $admin_passwd) {
		if (!sapp_get_param('admin_passwd')) {
			sapp_set_wrong('admin_passwd', msg('password__empty'));
			$valid = false;
		} else {
			$admin_passwd = sapp_get_param('admin_passwd');
		}
	} elseif ($admin_passwd != $admin_confirm) {
		sapp_set_wrong('admin_passwd', msg('password__not_match'));
		sapp_set_wrong('admin_confirm', msg('password__not_match'));
		$valid = false;
	} else {
		sapp_set_param('admin_passwd',$admin_passwd);
	}
	
	if (!$valid) {
		sapp_set_warning(msg('invalid_values'));
		return 1;
	}

	return 2;
}
?>
